
html {
    box-sizing:border-box;
}

*, *:before, *:after {
    box-sizing:inherit;
}

body {
    font-family: Georgia, serif;
    background-color: seashell;
}

.container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr .1fr 2fr 1fr;
    grid-gap: 0;
    width: 100vw;
    height: 100vh;
    margin: 0 auto;
}

.def {
    font-size: .8rem;
    line-height: 1.2;
    color: darkgray;
    font-style: italic;
    align-self: center;
    justify-self: center;
}

.user-inputs {
    align-self: top;
    justify-self: center;
    line-height: 1.5;
}

#username, #date, #journal {
    background-color: seashell;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px dotted black;
}

.buttondiv {
    align-self: top;
    justify-self: center;
}

.button {
    border: 1px dotted black;
    padding: 2rem;
    font-size: 1rem;
    text-align: center;
    background-color: seashell;
}

.button:hover {
    color: white;
    background-color: grey;
}

.button:active {
    background-color: tomato;
}

h1.title {
    align-self: end;
    margin-left: 1rem;
    position: relative;
    left: 0;
    transition: left 0.3s ease;
}

.text {
    line-height: 1.4rem;
    margin: 1rem;
}

a {
    text-decoration: none;
    color: darkgray;
}

a:hover {
    text-decoration: underline;
}

a:active {
    color: tomato;
}

@media (min-width: 401px) {
    .container {
        max-width: 600px;
        height: 100vh;
        margin: 0 auto;
    }
}
